Bug 563820 - Review Request: globus-libxml2 - Globus Toolkit - LibXML2 Library
Summary: Review Request: globus-libxml2 - Globus Toolkit - LibXML2 Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516536
TreeView+ depends on / blocked
 
Reported: 2010-02-11 09:27 UTC by Mattias Ellert
Modified: 2010-03-27 02:31 UTC (History)
3 users (show)

Fixed In Version: globus-libxml2-1.8-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 13:30:59 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2010-02-11 09:27:01 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-libxml2.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-libxml2-1.8-1.fc12.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-libxml2 package contains:
LibXML2 Library (virtual GPT glue package)

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Note - This is a GPT Glue Package:
https://fedoraproject.org/wiki/Packaging:Globus#GPT_glue_packages

Comment 1 Steve Traylen 2010-03-04 20:11:33 UTC
Review: globus-libxml2-1.8-1
Date:   Tue March 4th 2010
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2031447


*  MUST: rpmlint must be run on every package. The output should be 
         posted in the review.
globus-libxml2.src: W: spelling-error %description -l en_US libxml -> Librium, libel, liberal
globus-libxml2.x86_64: E: explicit-lib-dependency libxml2(x86-64)
globus-libxml2.x86_64: W: spelling-error %description -l en_US libxml -> Librium, libel, liberal
globus-libxml2.x86_64: E: no-binary
globus-libxml2.x86_64: W: no-documentation
globus-libxml2-devel.x86_64: W: spelling-error %description -l en_US libxml -> Librium, libel, liberal
globus-libxml2-devel.x86_64: W: no-documentation

MAYBE: See below.

*  MUST: The package must be named according to the Package Naming 
         Guidelines.
YES: globus guidelines.

*  MUST: The spec file name must match the base package %{name}, 
         in the format %{name}.spec unless your package has an exemption.
YES: globus guidelines.

*  MUST: The package must meet the Packaging Guidelines.
YES: globus guidelines.

*  MUST: The package must be licensed with a Fedora approved license 
         and meet the Licensing Guidelines .
YES: ASL2.0
*  MUST: The License field in the package spec file must match the actual 
         license. 

NO: see below.
*  MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text 
         of the license(s) for the package must be included in %doc.
YES: see below.

*  MUST: The spec file must be written in American English.
YES:
*  MUST: The spec file for the package MUST be legible. 
YES: 
*  MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum 
         for this task. If no upstream URL can be specified for this package,
         please see the Source URL Guidelines for how to deal with this.
MAYBE: There is no upstream.

*  MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture. 
YES:

*  MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in 
         the spec in ExcludeArch. Each architecture listed in ExcludeArch 
         MUST have a bug filed in bugzilla, describing the reason that 
         the package does not compile/build/work on that architecture.
         The bug number MUST be placed in a comment, next to the 
         corresponding ExcludeArch line. 
YES:
*  MUST: All build dependencies must be listed in BuildRequires,
         except for any that are listed in the exceptions section of
         the Packaging Guidelines ; inclusion of those as BuildRequires 
         is optional. Apply common sense.
YES:

*  MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is 
         strictly forbidden.
YES: No locales.
*  MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's
         default paths, must call ldconfig in %post and %postun. 
YES: no libs.

*  MUST: Packages must NOT bundle copies of system libraries.
YES: No system libs.

*  MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the  
         rationalization for relocation of that specific package. 
         Without this, use of Prefix: /usr is considered a blocker. 
YES: Not relocatable.

*  MUST: A package must own all directories that it creates. If it 
         does not create a directory that it uses, then it should 
         require a package which does create that directory. 
YES: 

* MUST:  A Fedora package must not list a file more than once in the 
         spec file's %files listings. 
YES: 
* MUST:  Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example. Every %files 
         section must include a %defattr(...) line. 
YES:
* MUST:  Each package must have a %clean section, which contains 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES: 
* MUST:  Each package must consistently use macros.
YES:
* MUST:  The package must contain code, or permissable content.
YES: Its tenuous but yes.
* MUST:  Large documentation files must go in a -doc subpackage.  
         (The definition of large is left up to the packager's 
         best judgement, but is not restricted to size. Large 
         can refer to either size or quantity).
YES: not a doc in site.
* MUST:  If a package includes something as %doc, it must not affect 
         the runtime of the application. To summarize: If it is in 
         %doc, the program must run properly if it is not present.
YES: no docs.
* MUST:  Header files must be in a -devel package.
YES: No headers.
* MUST:  Static libraries must be in a -static package.
YES: Not statics.
* MUST:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
         (for directory ownership and usability).
Yes: its there.
* MUST:  If a package contains library files with a suffix 
         (e.g. libfoo.so.1.1), then library files that end in .so 
         (without suffix) must go in a -devel package. 
YES: no libs.
* MUST:  In the vast majority of cases, devel packages must require 
         the base package using a fully versioned dependency: 
         Requires: %{name} = %{version}-%{release}
YES: it requires it.
* MUST:  Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.[21]
YES: no .las.
* MUST:  Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly 
         installed with desktop-file-install in the %install section.
         If you feel that your packaged GUI application does not need 
         a .desktop file, you must put a comment in the spec file with 
         your explanation. 
YES: nogui
* MUST:  Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first 
         package to be installed should own the files or directories 
         that other packages may rely upon. This means, for example, 
         that no package in Fedora should ever share ownership with any of 
         the files or directories owned by the filesystem or man package. 
         If you feel that you have a good reason to own a file or 
         directory that another package owns, then please present 
         that at package review time. 
YES: It has /usr/share/globus but this could be installed on its own.
*  MUST: At the beginning of %install, each package MUST run 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES:
*  MUST: All filenames in rpm packages must be valid UTF-8.
YES:
*  SHOULD: If the source package does not include license text(s) as a 
           separate file from upstream, the packager SHOULD query 
           upstream to include it.
MAYBE: See below.
* SHOULD:  The description and summary sections in the package spec file 
           should contain translations for supported Non-English languages, 
           if available.
YES: none availabe.
* SHOULD:  The reviewer should test that the package builds in mock.
YES: koji buid
* SHOULD:  The package should compile and build into binary rpms on 
           all supported architectures.
YES: koji buid
* SHOULD:  The reviewer should test that the package functions as described.
           A package should not segfault instead of running, for example.
YES: 
* SHOULD: If scriptlets are used, those scriptlets must be sane. This 
          is vague, and left up to the reviewers judgement to determine 
          sanity.
YES:
* SHOULD: Usually, subpackages other than devel should require the base 
          package using a fully versioned dependency.
YES:
* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
          and this is usually for development purposes, so should be 
          placed in a -devel pkg. A reasonable exception is that the 
          main pkg itself is a devel tool not installed in a user runtime,
          e.g. gcc or gdb.
YES: in -devel file.
* SHOULD: If the package has file dependencies outside of /etc, /bin,
          /sbin, /usr/bin, or /usr/sbin consider requiring the package 
          which provides the file instead of the file itself. 
YES: none present.
* SHOULD: your package should contain man pages for binaries/scripts.
          If it doesn't, work with upstream to add them where they make 
          sense.
YES: none present.

** Items of interest following review:

1) globus-libxml2.x86_64: E: explicit-lib-dependency libxml2(x86-64)
Yes and error but this is an odd case of course. This is just a description
of that lib. So if you are happy I am.


2) LICENSE and Upstream.
 So this has no upstream as such.  I remember something on the mailing 
 list about what to do in this case. It may have been point at Fedora 
 CVS but I can't remember
 Also there is no mention of a license anywhere in that one file or another
 file.

Comment 2 Mattias Ellert 2010-03-10 07:51:15 UTC
(In reply to comment #1)

> ** Items of interest following review:
> 
> 1) globus-libxml2.x86_64: E: explicit-lib-dependency libxml2(x86-64)
> Yes and error but this is an odd case of course. This is just a description
> of that lib. So if you are happy I am.

This is the same as for already existing packages of this kind: globus-libtool and globus-openssl (providing GPT metadata for libltdl and openssl respectively).

> 2) LICENSE and Upstream.
>  So this has no upstream as such.  I remember something on the mailing 
>  list about what to do in this case. It may have been point at Fedora 
>  CVS but I can't remember
>  Also there is no mention of a license anywhere in that one file or another
>  file.    

Again this is the same as for globus-libtool and globus-openssl.

Comment 3 Steve Traylen 2010-03-10 07:55:45 UTC
APPROVED.

Comment 4 Mattias Ellert 2010-03-10 08:45:05 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: globus-libxml2
Short Description: Globus Toolkit - LibXML2 Library
caches
Owners: ellert
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:

Comment 5 Jason Tibbitts 2010-03-10 22:23:36 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-03-11 08:24:17 UTC
globus-libxml2-1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-libxml2-1.8-1.fc12

Comment 7 Fedora Update System 2010-03-11 08:24:23 UTC
globus-libxml2-1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-libxml2-1.8-1.fc11

Comment 8 Fedora Update System 2010-03-11 08:24:28 UTC
globus-libxml2-1.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/globus-libxml2-1.8-1.fc13

Comment 9 Fedora Update System 2010-03-11 08:24:50 UTC
globus-libxml2-1.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-libxml2-1.8-1.el5

Comment 10 Fedora Update System 2010-03-11 08:24:54 UTC
globus-libxml2-1.8-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-libxml2-1.8-1.el4

Comment 11 Fedora Update System 2010-03-11 13:30:55 UTC
globus-libxml2-1.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-12 04:20:59 UTC
globus-libxml2-1.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-12 04:25:54 UTC
globus-libxml2-1.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Mattias Ellert 2010-03-12 12:33:39 UTC
Package Change Request
======================
Package Name: globus-libxml2
Updated Description: Globus Toolkit - LibXML2 Library

I made a cut and paste error in the original request, leaving an additional word at the end of the description. This change is requested to correct this.

Comment 15 Kevin Fenzi 2010-03-17 18:15:38 UTC
Just push the new version with the right name and pkgdb should pick it up.

Comment 16 Fedora Update System 2010-03-27 02:30:59 UTC
globus-libxml2-1.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-27 02:31:35 UTC
globus-libxml2-1.8-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.